/* $Id$
 * Copyright (C) 2005 Tommi Saviranta <wnd@iki.fi>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

#ifndef FTC_H_
#define FTC_H_

#include <stdint.h>



typedef enum {
	NOISE_QUIET,
	NOISE_NORMAL,
	NOISE_VERBOSE
} noiselevel;

struct filelist {
	char **name;
	uint32_t *size;		/* TODO LFS */

	uint32_t count;
};



#define PRINT_RAW(type, val) \
	{ \
		uint8_t *mem; \
		int i; \
		mem = malloc(sizeof(type)); \
		memcpy(mem, &val, sizeof(type)); \
		for (i = 0; i < sizeof(type); i++) { \
			printf("%02x ", (unsigned int) mem[i]); \
		} \
		printf("\n"); \
		free(mem); \
	}



#endif /* ifndef FTC_H_ */
