/*
 * Copyright (C) 2005 Tommi Saviranta <wnd@iki.fi>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 * USA.
 */

#ifndef PROGRESS_H_
#define PROGRESS_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif /* ifdef HAVE_CONFIG_H */

#include <sys/time.h>
#include <time.h>



struct progress {	/* TODO LFS */
	int	limit;
	struct timeval	start_time;

	int	state;

	int	last_state;
	struct timeval	last_time;

	char	*stuff;
	int	stuff_pos; /* TODO */
	int	stuff_trunc; /* TODO */
};


void progress_set_stuff(struct progress *prog, const char *stuff,
		int pos, int trunc);

void progress_reset(struct progress *prog);
int progress_print(struct progress *prog, char *buf, size_t size);
int progress_get_ops(struct progress *prog);



#endif /* ifndef PROGRESS_H_ */
